"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 24.08.21

"""
from django.urls import path
from compensation.views.eco_account_views import *

urlpatterns = [
    path("", index_view, name="acc-index"),
    path('new/', new_view, name='acc-new'),
    path('<id>', open_view, name='acc-open'),
    path('<id>/log', log_view, name='acc-log'),
    path('<id>/record', record_view, name='acc-record'),
    path('<id>/edit', edit_view, name='acc-edit'),
    path('<id>/remove', remove_view, name='acc-remove'),
    path('<id>/state/new', state_new_view, name='acc-new-state'),
    path('<id>/action/new', action_new_view, name='acc-new-action'),
    path('<id>/deadline/new', deadline_new_view, name="acc-new-deadline"),

    # Documents
    # Document remove route can be found in konova/urls.py
    path('<id>/document/new/', new_document_view, name='acc-new-doc'),

    # Eco-account withdraws
    path('<id>/remove/<withdraw_id>', withdraw_remove_view, name='withdraw-remove'),
    path('<id>/withdraw/new', new_withdraw_view, name='acc-new-withdraw'),

]