"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 19.08.21

"""
from django.urls import path
from ema.views import *

app_name = "ema"
urlpatterns = [
    path("", index_view, name="index"),
    path("new/", new_view, name="new"),
    path("<id>", open_view, name="open"),
    path('<id>/log', log_view, name='log'),
    path('<id>/edit', edit_view, name='edit'),
    path('<id>/remove', remove_view, name='remove'),
    path('<id>/record', record_view, name='record'),
    path('<id>/state/new', state_new_view, name='new-state'),
    path('<id>/action/new', action_new_view, name='new-action'),
    path('<id>/deadline/new', deadline_new_view, name="new-deadline"),

    # Documents
    # Document remove route can be found in konova/urls.py
    path('<id>/document/new/', document_new_view, name='new-doc'),

    # Generic state routes
    path('state/<id>/remove', state_remove_view, name='state-remove'),

    # Generic action routes
    path('action/<id>/remove', action_remove_view, name='action-remove'),
]