"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 30.11.20

"""
from django.urls import path

from intervention.views import index_view, new_view, open_view, edit_view, remove_view, new_document_view, share_view, \
    create_share_view, remove_revocation_view, new_revocation_view, run_check_view, log_view, new_withdraw_view, \
    record_view

app_name = "intervention"
urlpatterns = [
    path("", index_view, name="index"),
    path('new/', new_view, name='new'),
    path('<id>/document/new/', new_document_view, name='new-doc'),
    path('<id>', open_view, name='open'),
    path('<id>/log', log_view, name='log'),
    path('<id>/edit', edit_view, name='edit'),
    path('<id>/remove', remove_view, name='remove'),
    path('<id>/share/<token>', share_view, name='share'),
    path('<id>/share', create_share_view, name='share-create'),
    path('<id>/check', run_check_view, name='run-check'),
    path('<id>/record', record_view, name='record'),

    # Withdraws
    path('<id>/withdraw/new', new_withdraw_view, name='acc-new-withdraw'),

    # Revocation routes
    path('<id>/revocation/new', new_revocation_view, name='new-revocation'),
    path('revocation/<id>/remove', remove_revocation_view, name='remove-revocation'),
]