"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 16.11.20

"""
from django.http import HttpRequest

from konova.sub_settings.context_settings import BASE_TITLE, HELP_LINK, BASE_FRONTEND_TITLE


class BaseContext:
    """
    Holds all base data which is needed for every context rendering
    """
    context = {
        "base_title": BASE_TITLE,
        "base_frontend_title": BASE_FRONTEND_TITLE,
        "language": "en",
        "user": None,
        "current_role": None,
        "help_link": HELP_LINK,
    }

    def __init__(self, request: HttpRequest, additional_context: dict = {}):
        self.context["language"] = request.LANGUAGE_CODE
        self.context["user"] = request.user

        # Add additional context, derived from given parameters
        self.context.update(additional_context)
